=== debian/changelog ===
ros-lunar-moveit-ros-perception (0.9.12-1stretch) stretch; urgency=high

  * boost::shared_ptr -> std::shared_ptr
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [fix] make OpenGL parts optional (#698 <https://github.com/ros-planning/moveit/issues/698>)
  * Contributors: Bence Magyar, Ian McMahon, Lukas Bulwahn, Michael Görner, Mikael Arguedas, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.11-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.10-1stretch) stretch; urgency=high

  * [improve] removed deprecated pluginlib macro (#677 <https://github.com/ros-planning/moveit/issues/677>)
  * Contributors: Mikael Arguedas

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.9-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.8-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.7-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.6-1stretch) stretch; urgency=high

  * [fix][moveit_ros_robot_interaction] catkin_make -DCMAKE_ENABLE_TESTING=0 failure (#478 <https://github.com/ros-planning/moveit/issues/478>)
  * Contributors: Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.5-1stretch) stretch; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.4-1stretch) stretch; urgency=high

  * [maintenance] Remove custom cmake modules (#418 <https://github.com/ros-planning/moveit/issues/418>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Jochen Sprickerhof

 -- Ioan Sucan <isucan@google.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.3-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.9.2-1stretch) stretch; urgency=high

  * [Maintenace] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.6-1stretch) stretch; urgency=high

  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * remove unknown dependency sensor_msgs_generate_cpp
    dependencies are pulled in via ${catkin_LIBRARIES}
  * Find X11 for build on OS X 10.11
  * set empty display function for glut window
    With freeglut 3.0 moveit aborts over here, printing
    > ERROR: No display callback registered for window 1
    According to https://sourceforge.net/p/freeglut/bugs/229/
    and https://www.opengl.org/resources/libraries/glut/spec3/node46.html
    a callback *must* be registered for each window.
    With this patch moveit starts up as expected.
  * Remove OpenMP parallelization, fixes #563 <https://github.com/ros-planning/moveit_ros/issues/563>
  * Removed trailing whitespace from entire repository
  * last comment
  * Added missing dependency on moveit_msgs package
  * Contributors: Andriy Petlovanyy, Dave Coleman, Isaac I.Y. Saito, Kentaro Wada, Robert Haschke, Stefan Kohlbrecher, dg, v4hn

 -- Ioan Sucan <isucan@google.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.5-1stretch) stretch; urgency=high

  * update maintainers
  * adding RAII-based locking for OccMapTree
  * moving lazy_free_space_updater into it's own library
  * Contributors: Jonathan Bohren, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.4-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.3-1stretch) stretch; urgency=high

  * port moveit_ros#445 <https://github.com/ros-planning/moveit_ros/issues/445> to indigo
  * disable test that needs display when no display defined
  * GL_TYPE() is a function in newer versions of OpenGL, this fixes tests on Ubuntu 14.04
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.2-1stretch) stretch; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.1-1stretch) stretch; urgency=high

  * fix linking error on OSX
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-lunar-moveit-ros-perception (0.6.0-1stretch) stretch; urgency=high

  * Fixing invalid iterators if filtered_cloud_topic is not set.
    Adding missing dependency on sensor_msgs.
    Fixing indentation, whitespace, and tabs.
    Incrementing PointCloud2Iterator pixel-at-a-time, not byte-at-a-time.
  * remove PCL dependency
  * Fixed issue with unordered_map and libc++ (LLVM, Mac OS X Mavericks)
    libc++ doesn't have std::tr1::unordered_map, just std::unordered_map
  * Fixing OpenGL gl.h and glu.h inclusion on Mac OS X
  * Contributors: Jason Ziglar, Marco Esposito, Sachin Chitta, Vincent Rabaud


